Debian Bug report logs - #597933
Non-free files distributed in sdcc

version graph

Package: sdcc; Maintainer for sdcc is Gudjon I. Gudjonsson <gudjon@gudjon.org>; Source for sdcc is src:sdcc.

Reported by: Philipp Klaus Krause <pkk@spth.de>

Date: Fri, 24 Sep 2010 11:09:04 UTC

Severity: serious

Found in version sdcc/2.9.0-5

Fixed in version sdcc/3.1.0+dfsg-1

Done: gudjon@gudjon.org (Gudjon I. Gudjonsson)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Fri, 24 Sep 2010 11:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Klaus Krause <pkk@spth.de>:
New Bug report received and forwarded. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Fri, 24 Sep 2010 11:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Klaus Krause <pkk@spth.de>
To: submit@bugs.debian.org
Subject: Non-free files distributed in sdcc
Date: Fri, 24 Sep 2010 12:45:57 +0200
Package: sdcc
Version: 2.9.0-5
Severity: serious

Since the 2.9.0 release sdcc is in the process of changing the lbrary
license to GPL+LE. The process is mostly complete. While doing so, some
files of unclear license status were found. Rights holders have been
contacted and, with one exception (), agreed to license their files
under GPL+LE.
This exception is Microchip Technology Inc. They insist on a "the file
can be used only with authentic Microchip devices" condition, which
clearly violates DFSG §6.

The problem affects the pic and pic16 ports only.

All problematic header files live in the include/pic and include/pic16
directories. In the Debian package these are installed into the
/usr/share/sdcc/include/pic and /usr/share/sdcc/include/pic16 directories.
The problematic source files live in the device/pic and device/pic16.

For the upcoming 3.0.0 release we intend to clearly separate the
problematic files from the rest of sdcc.

Philipp




Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Tue, 02 Nov 2010 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Tue, 02 Nov 2010 16:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 597933@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 597933@bugs.debian.org
Subject: upstream version released
Date: Tue, 2 Nov 2010 16:06:49 +0000
3.0.0 was released yesterday, according to upstream's website. I didn't check 
out if the release has the intended separation, but I think it's worth a 
check.

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Sun, 14 Nov 2010 17:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Sun, 14 Nov 2010 17:18:03 GMT) Full text and rfc822 format available.

Message #15 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Philipp Klaus Krause <pkk@spth.de>, 597933@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Sun, 14 Nov 2010 17:14:01 +0000
Hello,

On Fri, Sep 24, 2010 at 12:45:57PM +0200, Philipp Klaus Krause wrote:
> Package: sdcc
> Version: 2.9.0-5
> Severity: serious
> 
> Since the 2.9.0 release sdcc is in the process of changing the lbrary
> license to GPL+LE. The process is mostly complete. While doing so, some
> files of unclear license status were found. Rights holders have been
> contacted and, with one exception (), agreed to license their files
> under GPL+LE.
> This exception is Microchip Technology Inc. They insist on a "the file
> can be used only with authentic Microchip devices" condition, which
> clearly violates DFSG §6.

I have review all files under pic and pic16 directories in sdcc 2.9.0 package in testing/unstable.
 $ grep -nRH "authentic Microchip devices" * tells me nothing

I do not really see anything wrong in the licensing of this package. Could you please point out which files are affected?

Best regards,
  -- Héctor Orón





Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Sun, 14 Nov 2010 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Sun, 14 Nov 2010 17:18:05 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 17:18:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Tue, 16 Nov 2010 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Klaus Krause <pkk@spth.de>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Tue, 16 Nov 2010 11:12:04 GMT) Full text and rfc822 format available.

Message #27 received at 597933@bugs.debian.org (full text, mbox):

From: Philipp Klaus Krause <pkk@spth.de>
To: Hector Oron <zumbi@debian.org>, 597933@bugs.debian.org
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Tue, 16 Nov 2010 11:50:21 +0100
Am 14.11.2010 18:14, schrieb Hector Oron:
> Hello,
> 
> On Fri, Sep 24, 2010 at 12:45:57PM +0200, Philipp Klaus Krause
> wrote:
>> Package: sdcc Version: 2.9.0-5 Severity: serious
>> 
>> Since the 2.9.0 release sdcc is in the process of changing the
>> lbrary license to GPL+LE. The process is mostly complete. While
>> doing so, some files of unclear license status were found. Rights
>> holders have been contacted and, with one exception (), agreed to
>> license their files under GPL+LE. This exception is Microchip
>> Technology Inc. They insist on a "the file can be used only with
>> authentic Microchip devices" condition, which clearly violates DFSG
>> §6.
> 
> I have review all files under pic and pic16 directories in sdcc 2.9.0
> package in testing/unstable. $ grep -nRH "authentic Microchip
> devices" * tells me nothing
> 
> I do not really see anything wrong in the licensing of this package.

I do not know how the files made it into sdcc 2.9.0 and earlier. However
it seems they had not been licensed by all rights holders. When this was
found out, Microchip Technology Inc. was contacted, and they said that
the only restriction that applies on theses files is "the file can be
used only with authentic Microchip devices"

> Could you please point out which files are affected?

AFAIK all files, that now (from just before sdcc 3.0.0 onward) reside
under device/non-free, i.e. the following:

pic12f629.h
pic12f635.h
pic12f675.h
pic12f683.h
pic14regs.h
pic16c432.h
pic16c433.h
pic16c554.h
pic16c557.h
pic16c558.h
pic16c620a.h
pic16c620.h
pic16c621a.h
pic16c621.h
pic16c622a.h
pic16c622.h
pic16c62.h
pic16c63a.h
pic16c65b.h
pic16c710.h
pic16c711.h
pic16c715.h
pic16c717.h
pic16c71.h
pic16c72.h
pic16c73b.h
pic16c745.h
pic16c74b.h
pic16c765.h
pic16c770.h
pic16c771.h
pic16c773.h
pic16c774.h
pic16c781.h
pic16c782.h
pic16c925.h
pic16c926.h
pic16f616.h
pic16f627a.h
pic16f627.h
pic16f628a.h
pic16f628.h
pic16f630.h
pic16f636.h
pic16f639.h
pic16f648a.h
pic16f676.h
pic16f684.h
pic16f685.h
pic16f687.h
pic16f688.h
pic16f689.h
pic16f690.h
pic16f716.h
pic16f72.h
pic16f737.h
pic16f73.h
pic16f74.h
pic16f767.h
pic16f76.h
pic16f777.h
pic16f77.h
pic16f785.h
pic16f818.h
pic16f819.h
pic16f84a.h
pic16f84.h
pic16f870.h
pic16f871.h
pic16f872.h
pic16f873a.h
pic16f873.h
pic16f874a.h
pic16f874.h
pic16f876a.h
pic16f876.h
pic16f877a.h
pic16f877.h
pic16f87.h
pic16f886.h
pic16f887.h
pic16f88.h
pic16f913.h
pic16f914.h
pic16f916.h
pic16f917.h
pic16hv616.h
recreate.sh
pic18f1220.h
pic18f1320.h
pic18f13k50.h
pic18f14k50.h
pic18f2220.h
pic18f2221.h
pic18f2320.h
pic18f2321.h
pic18f2331.h
pic18f23k20.h
pic18f2410.h
pic18f2420.h
pic18f2423.h
pic18f242.h
pic18f2431.h
pic18f2450.h
pic18f2455.h
pic18f2480.h
pic18f248.h
pic18f24j10.h
pic18f24j50.h
pic18f24k20.h
pic18f2510.h
pic18f2515.h
pic18f2520.h
pic18f2523.h
pic18f2525.h
pic18f252.h
pic18f2550.h
pic18f2580.h
pic18f2585.h
pic18f258.h
pic18f25j10.h
pic18f25j50.h
pic18f25k20.h
pic18f2610.h
pic18f2620.h
pic18f2680.h
pic18f2682.h
pic18f2685.h
pic18f26j50.h
pic18f26k20.h
pic18f4220.h
pic18f4221.h
pic18f4320.h
pic18f4321.h
pic18f4331.h
pic18f43k20.h
pic18f4410.h
pic18f4420.h
pic18f4423.h
pic18f442.h
pic18f4431.h
pic18f4450.h
pic18f4455.h
pic18f4480.h
pic18f448.h
pic18f44j10.h
pic18f44j50.h
pic18f44k20.h
pic18f4510.h
pic18f4515.h
pic18f4520.h
pic18f4523.h
pic18f4525.h
pic18f452.h
pic18f4550.h
pic18f4580.h
pic18f4585.h
pic18f458.h
pic18f45j10.h
pic18f45j50.h
pic18f45k20.h
pic18f4610.h
pic18f4620.h
pic18f4680.h
pic18f4682.h
pic18f4685.h
pic18f46j50.h
pic18f46k20.h
pic18f6520.h
pic18f6527.h
pic18f6585.h
pic18f65j50.h
pic18f6620.h
pic18f6622.h
pic18f6627.h
pic18f6680.h
pic18f66j50.h
pic18f66j55.h
pic18f66j60.h
pic18f66j65.h
pic18f6720.h
pic18f6722.h
pic18f67j50.h
pic18f67j60.h
pic18f8520.h
pic18f8527.h
pic18f8585.h
pic18f85j50.h
pic18f8620.h
pic18f8622.h
pic18f8627.h
pic18f8680.h
pic18f86j50.h
pic18f86j55.h
pic18f86j60.h
pic18f86j65.h
pic18f8720.h
pic18f8722.h
pic18f87j50.h
pic18f87j60.h
pic18f96j60.h
pic18f96j65.h
pic18f97j60.h
pic18fam.h
pic12f629.c
pic12f635.c
pic12f675.c
pic12f683.c
pic16c432.c
pic16c433.c
pic16c554.c
pic16c557.c
pic16c558.c
pic16c620a.c
pic16c620.c
pic16c621a.c
pic16c621.c
pic16c622a.c
pic16c622.c
pic16c62.c
pic16c63a.c
pic16c65b.c
pic16c710.c
pic16c711.c
pic16c715.c
pic16c717.c
pic16c71.c
pic16c72.c
pic16c73b.c
pic16c745.c
pic16c74b.c
pic16c765.c
pic16c770.c
pic16c771.c
pic16c773.c
pic16c774.c
pic16c781.c
pic16c782.c
pic16c925.c
pic16c926.c
pic16f616.c
pic16f627a.c
pic16f627.c
pic16f628a.c
pic16f628.c
pic16f630.c
pic16f636.c
pic16f639.c
pic16f648a.c
pic16f676.c
pic16f684.c
pic16f685.c
pic16f687.c
pic16f688.c
pic16f689.c
pic16f690.c
pic16f716.c
pic16f72.c
pic16f737.c
pic16f73.c
pic16f74.c
pic16f767.c
pic16f76.c
pic16f777.c
pic16f77.c
pic16f785.c
pic16f818.c
pic16f819.c
pic16f84a.c
pic16f84.c
pic16f870.c
pic16f871.c
pic16f872.c
pic16f873a.c
pic16f873.c
pic16f874a.c
pic16f874.c
pic16f876a.c
pic16f876.c
pic16f877a.c
pic16f877.c
pic16f87.c
pic16f886.c
pic16f887.c
pic16f88.c
pic16f913.c
pic16f914.c
pic16f916.c
pic16f917.c
pic16hv616.c
pic18f1220.c
pic18f1320.c
pic18f13k50.c
pic18f14k50.c
pic18f2220.c
pic18f2221.c
pic18f2320.c
pic18f2321.c
pic18f2331.c
pic18f23k20.c
pic18f2410.c
pic18f2420.c
pic18f2423.c
pic18f242.c
pic18f2431.c
pic18f2450.c
pic18f2455.c
pic18f2480.c
pic18f248.c
pic18f24j10.c
pic18f24j50.c
pic18f24k20.c
pic18f2510.c
pic18f2515.c
pic18f2520.c
pic18f2523.c
pic18f2525.c
pic18f252.c
pic18f2550.c
pic18f2580.c
pic18f2585.c
pic18f258.c
pic18f25j10.c
pic18f25j50.c
pic18f25k20.c
pic18f2610.c
pic18f2620.c
pic18f2680.c
pic18f2682.c
pic18f2685.c
pic18f26j50.c
pic18f26k20.c
pic18f4220.c
pic18f4221.c
pic18f4320.c
pic18f4321.c
pic18f4331.c
pic18f43k20.c
pic18f4410.c
pic18f4420.c
pic18f4423.c
pic18f442.c
pic18f4431.c
pic18f4450.c
pic18f4455.c
pic18f4480.c
pic18f448.c
pic18f44j10.c
pic18f44j50.c
pic18f44k20.c
pic18f4510.c
pic18f4515.c
pic18f4520.c
pic18f4523.c
pic18f4525.c
pic18f452.c
pic18f4550.c
pic18f4580.c
pic18f4585.c
pic18f458.c
pic18f45j10.c
pic18f45j50.c
pic18f45k20.c
pic18f4610.c
pic18f4620.c
pic18f4680.c
pic18f4682.c
pic18f4685.c
pic18f46j50.c
pic18f46k20.c
pic18f6520.c
pic18f6527.c
pic18f6585.c
pic18f65j50.c
pic18f6620.c
pic18f6622.c
pic18f6627.c
pic18f6680.c
pic18f66j50.c
pic18f66j55.c
pic18f66j60.c
pic18f66j65.c
pic18f6720.c
pic18f6722.c
pic18f67j50.c
pic18f67j60.c
pic18f8520.c
pic18f8527.c
pic18f8585.c
pic18f85j50.c
pic18f8620.c
pic18f8622.c
pic18f8627.c
pic18f8680.c
pic18f86j50.c
pic18f86j55.c
pic18f86j60.c
pic18f86j65.c
pic18f8720.c
pic18f8722.c
pic18f87j50.c
pic18f87j60.c
pic18f96j60.c
pic18f96j65.c
pic18f97j60.c

Philipp







Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Tue, 16 Nov 2010 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Tue, 16 Nov 2010 17:33:03 GMT) Full text and rfc822 format available.

Message #32 received at 597933@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Philipp Klaus Krause <pkk@spth.de>
Cc: 597933@bugs.debian.org
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Tue, 16 Nov 2010 17:31:07 +0000
Hello,

2010/11/16 Philipp Klaus Krause <pkk@spth.de>:

> AFAIK all files, that now (from just before sdcc 3.0.0 onward) reside
> under device/non-free, i.e. the following:

It looks like you are talking on upstream package. On Debian
testing/squeeze package there is no device/non-free directory:

$ apt-get source sdcc &&  cd sdcc-2.9.0 &&  find . -name "*non-free*"
&& grep -nRHi "*authentic Microchip*" * || echo "Package is clean"

As it seems this is not affecting Squeeze, could we (at least) tag
squeeze-ignore this bug report (if not close it)?

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Tue, 16 Nov 2010 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Tue, 16 Nov 2010 18:57:08 GMT) Full text and rfc822 format available.

Message #37 received at 597933@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 597933@bugs.debian.org
Cc: Philipp Klaus Krause <pkk@spth.de>
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Tue, 16 Nov 2010 19:56:21 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 16, 2010 at 17:31:07 +0000, Hector Oron wrote:

> Hello,
> 
> 2010/11/16 Philipp Klaus Krause <pkk@spth.de>:
> 
> > AFAIK all files, that now (from just before sdcc 3.0.0 onward) reside
> > under device/non-free, i.e. the following:
> 
> It looks like you are talking on upstream package. On Debian
> testing/squeeze package there is no device/non-free directory:
> 
> $ apt-get source sdcc &&  cd sdcc-2.9.0 &&  find . -name "*non-free*"
> && grep -nRHi "*authentic Microchip*" * || echo "Package is clean"
> 
> As it seems this is not affecting Squeeze, could we (at least) tag
> squeeze-ignore this bug report (if not close it)?
> 
No.  Read again.  The files were moved, but the code is there in 2.9.0.
(Look in device/include/pic{,16}.)

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Sun, 21 Nov 2010 14:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Sun, 21 Nov 2010 14:33:07 GMT) Full text and rfc822 format available.

Message #44 received at 597933@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 597933@bugs.debian.org, Philipp Klaus Krause <pkk@spth.de>
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Sun, 21 Nov 2010 14:32:00 +0000
Hello,

2010/11/16 Julien Cristau <jcristau@debian.org>:

>> $ apt-get source sdcc &&  cd sdcc-2.9.0 &&  find . -name "*non-free*"
>> && grep -nRHi "*authentic Microchip*" * || echo "Package is clean"
>>
>> As it seems this is not affecting Squeeze, could we (at least) tag
>> squeeze-ignore this bug report (if not close it)?
>>
> No.  Read again.  The files were moved, but the code is there in 2.9.0.
> (Look in device/include/pic{,16}.)

sdcc-2.9.0/device/include/pic$ for x in `ls` ; do less $x ; done

I did read license headers on all those files, some of them GPL, some
of them GNU pic license, some other without notice, which I belive
general COPYING information applies in such case. I was unable to find
any notice as reported in this bugreport.

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Tue, 30 Nov 2010 23:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Tue, 30 Nov 2010 23:15:13 GMT) Full text and rfc822 format available.

Message #49 received at 597933@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Philipp Klaus Krause <pkk@spth.de>
Cc: Julien Cristau <jcristau@debian.org>, 597933@bugs.debian.org, hector.oron@gmail.com
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Wed, 1 Dec 2010 00:14:15 +0100
On Sun, Nov 21, 2010 at 02:32:00PM +0000, Hector Oron wrote:
> Hello,
> 
> 2010/11/16 Julien Cristau <jcristau@debian.org>:
> 
> >> $ apt-get source sdcc &&  cd sdcc-2.9.0 &&  find . -name "*non-free*"
> >> && grep -nRHi "*authentic Microchip*" * || echo "Package is clean"
> >>
> >> As it seems this is not affecting Squeeze, could we (at least) tag
> >> squeeze-ignore this bug report (if not close it)?
> >>
> > No.  Read again.  The files were moved, but the code is there in 2.9.0.
> > (Look in device/include/pic{,16}.)
> 
> sdcc-2.9.0/device/include/pic$ for x in `ls` ; do less $x ; done
> 
> I did read license headers on all those files, some of them GPL, some
> of them GNU pic license, some other without notice, which I belive
> general COPYING information applies in such case. I was unable to find
> any notice as reported in this bugreport.

Philipp, can you specific the files with the problematic license
status?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Sun, 19 Dec 2010 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gudjon I. Gudjonsson" <gudjon@gudjon.org>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Sun, 19 Dec 2010 15:15:03 GMT) Full text and rfc822 format available.

Message #54 received at 597933@bugs.debian.org (full text, mbox):

From: "Gudjon I. Gudjonsson" <gudjon@gudjon.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 597933@bugs.debian.org
Subject: Re: Bug#597933: Non-free files distributed in sdcc
Date: Sun, 19 Dec 2010 16:13:54 +0100
[Message part 1 (text/plain, inline)]
Hi
    Sorry for my silence but I have made a new 2.9.0+dfsg-1 version of the 
package that can be found at
http://mentors.debian.net/debian/pool/main/s/sdcc
please take a look at it an give me a comment. I hope to convince the release 
team to include it if I'm not too late.

Regards
Gudjon
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gudjon@gudjon.org (Gudjon I. Gudjonsson):
Bug#597933; Package sdcc. (Mon, 17 Jan 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Klaus Krause <pkk@spth.de>:
Extra info received and forwarded to list. Copy sent to gudjon@gudjon.org (Gudjon I. Gudjonsson). (Mon, 17 Jan 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #59 received at 597933@bugs.debian.org (full text, mbox):

From: Philipp Klaus Krause <pkk@spth.de>
To: 597933@bugs.debian.org
Subject: Re: Bug#597933
Date: Mon, 17 Jan 2011 22:06:38 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The packages at
http://mentors.debian.net/debian/pool/main/s/sdcc
look good to me.

AFAIK this bug is present in older versions of Debian as well, it surely
is in 2.8.0.

Philipp
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk00r14ACgkQbtUV+xsoLpo7kACfZMOd8WoUEoQkiFhBhyzTWWNV
UJIAoIZhxASoUTAhsLQCTIM0we0ysoSA
=lFrO
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Gudjon I. Gudjonsson <gudjon@gudjon.org>:
Bug#597933; Package sdcc. (Tue, 11 Oct 2011 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jim Paris <jim@jtan.com>:
Extra info received and forwarded to list. Copy sent to Gudjon I. Gudjonsson <gudjon@gudjon.org>. (Tue, 11 Oct 2011 22:15:03 GMT) Full text and rfc822 format available.

Message #64 received at 597933@bugs.debian.org (full text, mbox):

From: Jim Paris <jim@jtan.com>
To: 597933@bugs.debian.org
Subject: updates?
Date: Tue, 11 Oct 2011 18:06:00 -0400
Any updates on this bug?  3.0.0 has been out for almost a year now and
it would be nice to get the updated version in Debian.

-jim





Information forwarded to debian-bugs-dist@lists.debian.org, Gudjon I. Gudjonsson <gudjon@gudjon.org>:
Bug#597933; Package sdcc. (Sun, 20 Nov 2011 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Klaus Krause <pkk@spth.de>:
Extra info received and forwarded to list. Copy sent to Gudjon I. Gudjonsson <gudjon@gudjon.org>. (Sun, 20 Nov 2011 14:12:05 GMT) Full text and rfc822 format available.

Message #69 received at 597933@bugs.debian.org (full text, mbox):

From: Philipp Klaus Krause <pkk@spth.de>
To: 597933@bugs.debian.org
Subject: non-free files in current sdcc
Date: Sun, 20 Nov 2011 14:45:09 +0100
In the 3.0.0 release (2010-11-01) and the 3.1.0 release (2011-11-26) the
non-free files all live in sdcc/device/non-free, so they can be easily
left out from the Debian packages or moved into a separate non-free package.

Philipp




Reply sent to gudjon@gudjon.org (Gudjon I. Gudjonsson):
You have taken responsibility. (Tue, 05 Jun 2012 05:51:05 GMT) Full text and rfc822 format available.

Notification sent to Philipp Klaus Krause <pkk@spth.de>:
Bug acknowledged by developer. (Tue, 05 Jun 2012 05:51:05 GMT) Full text and rfc822 format available.

Message #74 received at 597933-close@bugs.debian.org (full text, mbox):

From: gudjon@gudjon.org (Gudjon I. Gudjonsson)
To: 597933-close@bugs.debian.org
Subject: Bug#597933: fixed in sdcc 3.1.0+dfsg-1
Date: Tue, 05 Jun 2012 05:48:59 +0000
Source: sdcc
Source-Version: 3.1.0+dfsg-1

We believe that the bug you reported is fixed in the latest version of
sdcc, which is due to be installed in the Debian FTP archive:

sdcc-doc_3.1.0+dfsg-1_all.deb
  to main/s/sdcc/sdcc-doc_3.1.0+dfsg-1_all.deb
sdcc-libraries_3.1.0+dfsg-1_all.deb
  to main/s/sdcc/sdcc-libraries_3.1.0+dfsg-1_all.deb
sdcc-ucsim_3.1.0+dfsg-1_sparc.deb
  to main/s/sdcc/sdcc-ucsim_3.1.0+dfsg-1_sparc.deb
sdcc_3.1.0+dfsg-1.debian.tar.gz
  to main/s/sdcc/sdcc_3.1.0+dfsg-1.debian.tar.gz
sdcc_3.1.0+dfsg-1.dsc
  to main/s/sdcc/sdcc_3.1.0+dfsg-1.dsc
sdcc_3.1.0+dfsg-1_sparc.deb
  to main/s/sdcc/sdcc_3.1.0+dfsg-1_sparc.deb
sdcc_3.1.0+dfsg.orig.tar.gz
  to main/s/sdcc/sdcc_3.1.0+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 597933@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gudjon I. Gudjonsson <gudjon@gudjon.org> (supplier of updated sdcc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 04 Jun 2012 09:29:53 +0000
Source: sdcc
Binary: sdcc sdcc-libraries sdcc-ucsim sdcc-doc
Architecture: source sparc all
Version: 3.1.0+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Changed-By: Gudjon I. Gudjonsson <gudjon@gudjon.org>
Description: 
 sdcc       - Small Device C Compiler
 sdcc-doc   - Small Device C Compiler (documentation)
 sdcc-libraries - Small Device C Compiler (libraries)
 sdcc-ucsim - Micro-controller simulator for SDCC
Closes: 459877 597933 647036 658188
Changes: 
 sdcc (3.1.0+dfsg-1) unstable; urgency=low
 .
   * New upstream release (Closes: #647036)
   * Switch to dpkg-source 3.0 (quilt) format
   * Remove lk_readnl fix from rules file
   * Bump standards version to 3.9.3
   * Change Conflicts to Breaks in control file
   * Suggest python for sdcc
   * Add arch-dependent-file-in-usr-share to overrides file
   * Add recommended target build arch (Closes: #459877)
   * Fix whatis entry for as2xxxx.1 manpage
   * Add manpage for as2gbmap
   * Add a get-orig-source target to rules file
   * Exclude non-free sources from source package (Closes: #597933)
   * Add +dfsg to source package name
   * Add version mangling to watch file
   * Add Vcs fields
   * Change all references to asranlib to sdranlib
   * Remove patches 01_fix_getline  02_result_type_gptr  03_fix_cmdlex
   * Remove sim/ucsim/libltdl in get-orig-source
   * Remove patch 04_libtool_fix
   * Rename other patches from 05, 06 to 01, 02
   * Add GPL+LE to copyright file
   * Fix sdcc manpage (Closes: #658188)
   * Bump compat to 8
   * Add build dependency on libboost-dev
   * Change texlive dependency to texlive-full. I clould not find minimum set
     of texlive packages needed to compile the package.
   * Remove go.bat from sdcc-doc
   * Add Build-Depends-Indep field (Thanks to Aron Xu)
   * Fix build/install arch/indep (Thanks to Aron Xu)
   * Fix lintian override file
   * Fix cleaning of .asm files, too many were removed
Checksums-Sha1: 
 15f001b637707236e73ef323298d218a8312114f 1817 sdcc_3.1.0+dfsg-1.dsc
 36ef1ae1496ee8c2e85637a5002488ebe1e306fe 4651244 sdcc_3.1.0+dfsg.orig.tar.gz
 940a3b478251f9fc90395cbf7e105a7ba5f7d447 25813 sdcc_3.1.0+dfsg-1.debian.tar.gz
 c9a94217ffa6c266668d212dc34440c1069367e3 1610510 sdcc_3.1.0+dfsg-1_sparc.deb
 e57861494e6b29ac3fe2543ee6714fa5e132fb2b 928082 sdcc-ucsim_3.1.0+dfsg-1_sparc.deb
 c7bbe9ab08ae51d5d45bd1a1b0371e391fb11c1f 1649556 sdcc-libraries_3.1.0+dfsg-1_all.deb
 45388c56898bbf1f9d95a81f43af41517c0ab2dc 799546 sdcc-doc_3.1.0+dfsg-1_all.deb
Checksums-Sha256: 
 6c42dc2c9811709cfcec86771ca0e5fb09aef579d10968b3400c28926f8957b0 1817 sdcc_3.1.0+dfsg-1.dsc
 f75cfbc7557de789c486dfa8190a96cc0c9a387ccd240350e168c6747707e65f 4651244 sdcc_3.1.0+dfsg.orig.tar.gz
 880528739a3af19d0f2b6ed8bb16e6b14f06ab9043674e928f81b6233846ce7c 25813 sdcc_3.1.0+dfsg-1.debian.tar.gz
 59bc42a0a9bf5550e9b5d724aa712fce822cd1ae66d52a23d90a0f9b0bfd0ae2 1610510 sdcc_3.1.0+dfsg-1_sparc.deb
 3b7e2104ef071661d2064b5d1b1a142b3d096108ffa61e1387a573ddcd841ace 928082 sdcc-ucsim_3.1.0+dfsg-1_sparc.deb
 ff4401033ce6dbbc9330a0b200c0131cabb4a05449ae9872e6f4b72e80e7f3a4 1649556 sdcc-libraries_3.1.0+dfsg-1_all.deb
 c1a211cca40650f13c4ccf4b6dc3850a73f07c6d2052860e45ffc77fed33c311 799546 sdcc-doc_3.1.0+dfsg-1_all.deb
Files: 
 d9ee2479b0083a6546030f87a21d8e17 1817 electronics optional sdcc_3.1.0+dfsg-1.dsc
 2bb42ce6e2763b708a8e027061f23b4e 4651244 electronics optional sdcc_3.1.0+dfsg.orig.tar.gz
 d8aeaf07d3c4c3bb2d59452cced1bfed 25813 electronics optional sdcc_3.1.0+dfsg-1.debian.tar.gz
 39847a822e6f705c04dc74fc9889095a 1610510 electronics optional sdcc_3.1.0+dfsg-1_sparc.deb
 57f498cfc79ff3bdfa5d4164594440f5 928082 electronics optional sdcc-ucsim_3.1.0+dfsg-1_sparc.deb
 7e3c3bd49735d87df1502a15fee03a27 1649556 electronics optional sdcc-libraries_3.1.0+dfsg-1_all.deb
 e7492f2fb9d516fb96b3a18fea8689d4 799546 doc optional sdcc-doc_3.1.0+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJPzZpLAAoJEIAhAkTu07wNISQH/A96ApQ6yb+gyaTsKJogF0/o
59k+YtEagyjL6riC+3Mdx7RUzrFwX5xwf2GJC+OCpo6dqtBba9W0NLEGsHL4wBD+
bcfA5O2RpjEeBIq/EDr5y0vJ6zQV4PmrMOMy1df26rrAa1y13RUi2FJj+2aiFYy2
Q8uLPYNiZMcjI9nOg+znehHyiCC9eeyFJdanNkX/lZCpacP0bR3Y4ug/g8UNS1oe
FeBIICps8g6rpzIHEUe4d6OijY37Buj3EIFTxmF+DvXjpJi1omOT+SYCsducA6My
QIYY64IZUeV5PJCIe+xtia1S5EdU+LnfRekWrZt19gGElwY5pjivcN/+oVq3l+M=
=gAUM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2012 07:37:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:00:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.